winstd::string_guid Class Reference
String Formatting

Single-byte character implementation of a class to support converting GUID to string. More...

`#include <WinStd/Common.h>`

Inheritance diagram for winstd::string_guid:

## Public Member Functions

Initializing string using template in memory
| string_guid (const GUID &guid)
| Initializes a new string and formats its contents to string representation of given GUID. More...
Public Member Functions inherited from winstd::basic_string_guid< char, std::char_traits< char >, std::allocator< char > >
| basic_string_guid (const GUID &guid, const char *format)
| Initializes a new string and formats its contents to string representation of given GUID. More...

## Detailed Description

Single-byte character implementation of a class to support converting GUID to string.

## Constructor & Destructor Documentation

## string_guid()

winstd::string_guid::string_guid | ( | const GUID & | guid | ) |

inline

Initializes a new string and formats its contents to string representation of given GUID.

Parameters

  [in] | guid | GUID to convert

The documentation for this class was generated from the following file:

- include/WinStd/Common.h